New Page 1

  • What is System Hijack Scanner?

  • Using System Hijack Scanner?

  • System HiJack Scan .

  • Running Processes .

  • Log Files .

  • Fixing Scan Entries.

  • Ignoring Scan Entries.

  • Scan Entries Types.

  • Configuration.


What is System Hijack Scanner?

System HiJack Scanner is a useful utility that can detect some errors and additional redundant features in the system. It displays them, and allows the user to choose which feature to fix, and which to ignore. it can also detect currently running processes, and saving a scan log file including information on the running processes and scan entries.


Using System Hijack Scanner:

Here is a few steps to use System Hijack Scanner:

1) Choose 'Scan' from File menu or Toolbar, or by clicking Ctrl+C.
2) Click an item of the tree (at left), to see all associated scan entries on the list (at right).
3) Now you can fix entries (Remove them from system), ignore entries (Consider them safe), save log files, ...etc.
4) To change program options, you can choose 'Configuration' from Options menu or ToolBar.


System HiJack Scan:

  • The System HiJack Scanner can detect some errors and additional redundant features in the system. It displays them, and allows the user to choose which feature to fix, and which to ignore.


Running Processes:

  • The System HiJack Scanner detects currently running processes, and displays them to the user. They can be saved to the scan log file if this option is set in the configuration dialog box.


Log Files:

There are two kinds of log files:

  • Scan Log File: Includes information on the running processes and scan entries. The running processes will be added to the scan log file if the user specifies this option in the configuration dialog box.

  • System Log File: Includes advanced information about the system.


Fixing Scan Entries:

  • The System HiJack Scanner can fix a scan entry by removing it from the system. The user can make a backup if he wants to restore it later. The user can set this option in the configuration dialog box.


Ignoring Scan Entries:

  • The System HiJack Scanner can ignore a scan entry by removing it from the displaying list. The user should ignore the entries he knows that they are a benefit to him.


Scan Entries Types:

R0, R1, R2, R3 - IE Start & Search page

These items Indicate that a start or searh page value is changed from the default.

R0 means that a changed registry value is the cause of this.

R1 means that a created registry value is the cause of this.

R2 means that a created registry key is the cause of this.

R3 means that there exist extra registry values where there should only be.

F0, F1 - Autoloading programs

These items Indicate that a program loads at windows startup.

This is because of changes in an ini file.

F0 means that a system.ini is changed.

F1 means that a win.ini is changed.

N1, N2, N3, N4 - Netscape/Mozilla Start & Search page

These items Indicate that a netscape start or searh page value is changed from the default.

This can occur by hijacking pref.js netscape file.

N1 For Netscape 4.x

N2 For Netscape 6

N3 For Netscape 7

N4 For Mozilla

O1 - Hostsfile redirection

This item indicates that an internet address may address the Internet Explorer to another server.

A Hijacker may use this to make common addresses requests go to his server.

This is done by changes in Hosts windows file.

O2 - Browser Helper Objects

This item indicates a created program that integrates into IE, and has unlimited rights to your system.

It may be helpful, but it may be used by hijackers.

O3 - IE toolbars

They are parts of BHOs. They can be helpful, and they may also be annoying.

O4 - Autoloading programs from Registry

They are Programs that are loaded when windows starts, because of registry settings.

They can be scripts, DLLs or EXEs.

O5 - Hidden Icons in Control Panel

Some icons in Control Panel may disappear, because of modifying control.ini or modifying registry.

O6 - IE Options access restricted by Administrator

IE options access may be restricted. This can be done using windows policies.

O7 - Regedit access restricted by Administrator

Regedit may be disabled. This can be done using windows policies.

O8 - Extra items in IE right-click menu

Extra Items in context (right-click) IE menu. These items may be helpful or annoying.

O9 - Extra buttons on main IE toolbar, or extra items in IE 'Tools' menu

Extra buttons in IE toolbar, or extra IE tools menu. These items may be helpful or annoying.

O11 - Extra group in IE 'Advanced Options' window

This item means that a new Options group (Other than the defaults) in the Advanced Options window of IE exists.

O12 - IE plugins

Additional IE plugins handle filetypes, that may be dangerous as it can be used be hijackers to make spywares reinstalled when the IE browse this file.

O13 - IE DefaultPrefix hijack

The default prefix, which is written automatically to the addresses if you did not write it (as http://) can be changed by registry.

O14 - 'Reset Web Settings' hijack

Changing some values in ierest.inf may cause Reset Web Settings not to work as expected (Can be used by hijackers to address thier sites).

O15 - Sites in Trusted Zone

These sites may include unwanted hijacker sites.

O16 - ActiveX Objects in Downloaded Program Files

IE may download a lot of garbage of them from the internet as you browse pages.

O17 - Domain hijacks

Domain names are mapped to IPs. Hijackers may use domain names to redirect the internet to other pages for no reasons.

O18 - Extra protocols

These values are enumerations of the existing protocols. (other than http, https, ftp, file). These are usually safe, but some are put by spywares.

O19 - User style sheet hijack

This is an option in IE to enable users to better view thier pages by thier default user style sheet instead of the default one. This may be used by hijackers.


Configuration:

The Configuration dialog box consists of 4 pages:

  • Main: Enables the user to:
    1) Determine wheter or not to make backups of scan entries before fixing them.
    2) Determine wheter or not to display confirming message box before fixing, ignoring, deleting, or restoring.
    3) Determine wheter or not to include running processes in the scan log file.
    4) Set Default start page, search page, search assistant, and customize search addresses to be used by the program in order to fix default start and search pages for internet explorer.

  • Ignore List: Includes the list of scan entries ignored by the user. The user can click Delete button to delete checked items onle, and can click DeleteAll button to delete all items from the ignored list, so that they can appear in the main scan list if the user performs a new scan.

  • Backup List: Includes the list of scan entries backuped as result of user fixing. The user can click Delete button to delete checked items onle, and can click DeleteAll button to delete all items. The user can click Restore button to restore checked items.

  • Misc Tools: Enables the user to:
    1) Determine wheter or not to include minor (less important) sections to the system log file (Advanced Option).
    2) Determine wheter or not to include empty sections to the system log file.
    3) Change language.

    Advanced Note:
    To Add new language to the program, the user can these files:
    1) <language>.ini in <app path>\Language Folder (Needed)
    2) <language>.bmp in <app path>\Language Folder to specify image in the combobox.
    3) <language>.chm in <app path>\Help Folder.